//---------Copyright (C) 1997 Dallas Semiconductor Corporation--------------
//
//  IBERROR.H   - include file containing the return error codes
//
//  Compiler: VC
//  Version: 3.10
//  Revisions:
//

// TMEX Error codes
#define XNO_DEVICE             -1
#define XWRONG_TYPE            -2
#define XFILE_READ_ERR         -3
#define XBUFFER_TOO_SMALL      -4
#define XHANDLE_NOT_AVAIL      -5
#define XFILE_NOT_FOUND        -6
#define XREPEAT_FILE           -7
#define XHANDLE_NOT_USED       -8
#define XFILE_WRITE_ONLY       -9
#define XOUT_OF_SPACE          -10
#define XFILE_WRITE_ERR        -11
#define XFILE_READ_ONLY        -12
#define XFUNC_NOT_SUP          -13
#define XBAD_FILENAME          -14
#define XCANT_DEL_READ_ONLY    -15
#define XHANDLE_NOT_EXIST      -16
#define XONE_WIRE_PORT_ERROR   -17    
#define XINVALID_DIRECTORY     -18
#define XDIRECTORY_NOT_EMPTY   -19 
#define XUNABLE_TO_CREATE_DIR  -20
#define XNO_PROGRAM_JOB        -21  
#define XPROGRAM_WRITE_PROTECT -22        
#define XNON_PROGRAM_PARTS     -23
#define XADDFILE_TERMINATED    -24    
#define XTIMEOUT               -25     
#define XINVALID_ARGUMENT      -26    
#define XBAD_ACK               -27    
#define XINVALID_SESSION       -200 
#define XNO_BASDRV_FOUND       -201   

// Basic physical level error codes
#define BPORT_NOT_INITIALIZED  -1
#define BPORT_NOT_EXIST        -2
#define BNO_SUCH_FUNCTION      -3   

// Transport level error codes
#define TERROR_READ_WRITE      -4
#define TBUFFER_TOO_SMALL      -5
#define TDEVICE_TOO_SMALL      -6
#define TNO_DEVICE             -7
#define TBLOCK_TOO_BIG         -8
#define TWRONG_TYPE            -9    
#define TPAGE_REDIRECTED       -10   
#define TPROGRAM_NOT_POSSIBLE  -11
#define BCOM_FAILURE           -12
#define BCOM_EVENT             -13
// other
#define GENERAL_FAIL           -2  

